Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource
Interface WsResourceCapability

All Superinterfaces:
  Capability, Initialization, InitializationParameters, Shutdown, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Subinterfaces:
  Configuration, CorrelatableProperties, Description, Entry, GetCapability, Identity, ImmediateTermination, ManageabilityCapability, ManageabilityCharacteristics, Metrics, NotificationProducer, OperationalStatus, PullPointCreation, QueryCapability, RelationshipResource, Relationships, ScheduledTermination, ServiceGroup, ServiceGroupRegistration, SetCapability, State, SubscriptionManager

All Known Implementing Classes:
  AbstractManageabilityCapability, AbstractWsResourceCapability, SimpleConfiguration, SimpleCorrelatableProperties, SimpleDescription, SimpleEntry, SimpleGetCapability, SimpleIdentity, SimpleImmediateTermination, SimpleManageabilityCharacteristics, SimpleMetrics, SimpleNotificationProducer, SimpleOperationalStatus, SimplePullPointCreation, SimpleQueryCapability, SimpleRelationshipResource, SimpleRelationships, SimpleScheduledTermination, SimpleServiceGroup, SimpleServiceGroupRegistration, SimpleSetCapability, SimpleState, SimpleSubscriptionManager

public interface WsResourceCapability
extends Capability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

WsResourceCapability is an extension of the core Muse Capability concept. It provides a safely-typed convenience method for accessing the WS-resource that contains the capability as well as generic, WSRP-like methods for accessing its property values. A WsResourceCapability is responsible for its own state - the WSRP ResourcePropertyCollection will use these capabilities as delegates for reading and writing property values. This allows the WS-resource capabilities to leverage different state models within a single resource type.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `deleteProperty(QName property)`
`org.w3c.dom.Element[]` | `getProperty(QName property)`
`QName[]` | `getPropertyNames()` Concrete capability classes that define properties MUST override this method and provide the names of the properties.
`WsResource` | `getWsResource()`
`void` | `insertProperty(QName property, org.w3c.dom.Element[] values)`
`void` | `updateProperty(QName property, org.w3c.dom.Element[] values)`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Method Detail

### getWsResource

    public WsResource getWsResource()

  Returns:
    The same as getResource(), cast to the WsResource type.

### deleteProperty

    public void deleteProperty(QName property)
                        throws BaseFault

  Throws:
    `BaseFault`

### getProperty

    public org.w3c.dom.Element[] getProperty(QName property)
                                      throws BaseFault

  Throws:
    `BaseFault`

### getPropertyNames

    public QName[] getPropertyNames()

  Concrete capability classes that define properties MUST override this method and provide the names of the properties.

  Returns:
    The names of the resource properties defined by this capability.

### insertProperty

    public void insertProperty(QName property,
                               org.w3c.dom.Element[] values)
                        throws BaseFault

  Throws:
    `BaseFault`

### updateProperty

    public void updateProperty(QName property,
                               org.w3c.dom.Element[] values)
                        throws BaseFault

  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD